Subject: Re: bug#53969: 29.0.50; display frame parameter set incorrectly on pgtk

From: Po Lu <[email-masked]>
Date: Wed, 30 Mar 2022 13:34:57 +0800

Andrew Tropin <[email-masked]> writes:

> On 2022-03-15 21:18, Po Lu wrote:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Nobody had any comments in a month, and I've just skimmed this bug
>>> report -- but was this fixed in 61a038bec0fe, or was that another
>>> problem?
>>
>> This is probably another problem, I'll fix it soon and close the bug.
>> Thanks for bringing it up.
>
> Hi Po,
>
> Can you take a look at this issue, please?  It shouldn't take long.

Ah, thanks for reminding me, I almost forgot.

Is this enough?

diff --git a/lisp/net/browse-url.el b/lisp/net/browse-url.el
index 776f774172..4c348781a8 100644
--- a/lisp/net/browse-url.el
+++ b/lisp/net/browse-url.el
@@ -851,7 +851,11 @@ browse-url
          ((featurep 'pgtk)
           (setq classname (pgtk-backend-display-class))
           (if (equal classname "GdkWaylandDisplay")
-              (setenv "WAYLAND_DISPLAY" dpy)
+              (progn
+                ;; The `display' frame parameter is probably wrong.
+                ;; See bug#53969 for some context.
+                ;; (setenv "WAYLAND_DISPLAY" dpy)
+                )
             (setenv "DISPLAY" dpy)))
          (t
           (setenv "DISPLAY" dpy)))))

And I'm terribly sorry for the delay.